Find class archetypes
curl --request POST \
--url https://api.wanderersguide.app/functions/v1/find-class-archetype \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 123,
"content_sources": [
123
],
"class_id": 123
}
'{
"status": "success",
"data": [
{
"class_id": 123,
"name": "<string>",
"rarity": "COMMON",
"description": "<string>",
"content_source_id": 123,
"version": "<string>",
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"archetype_id": 123,
"artwork_url": "<string>",
"operations": [
{}
],
"feature_adjustments": [
{
"fa_id": "<string>",
"type": "ADD",
"prev_id": 123,
"data": {
"name": "<string>",
"rarity": "COMMON",
"description": "<string>",
"type": "action",
"content_source_id": 123,
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"operations": [
{}
],
"actions": "ONE-ACTION",
"level": 123,
"availability": "STANDARD",
"prerequisites": [
"<string>"
],
"frequency": "<string>",
"cost": "<string>",
"trigger": "<string>",
"requirements": "<string>",
"access": "<string>",
"special": "<string>",
"meta_data": {},
"traits": [
123
],
"version": "<string>"
}
}
],
"override_skill_training_base": 123,
"override_class_operations": true,
"deprecated": true
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.wanderersguide.app/llms.txt
Use this file to discover all available pages before exploring further.
API key created in your Wanderer's Guide account settings. Send as Authorization: Bearer <key>. Used for direct API access from external tools and scripts.
curl --request POST \
--url https://api.wanderersguide.app/functions/v1/find-class-archetype \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 123,
"content_sources": [
123
],
"class_id": 123
}
'{
"status": "success",
"data": [
{
"class_id": 123,
"name": "<string>",
"rarity": "COMMON",
"description": "<string>",
"content_source_id": 123,
"version": "<string>",
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"archetype_id": 123,
"artwork_url": "<string>",
"operations": [
{}
],
"feature_adjustments": [
{
"fa_id": "<string>",
"type": "ADD",
"prev_id": 123,
"data": {
"name": "<string>",
"rarity": "COMMON",
"description": "<string>",
"type": "action",
"content_source_id": 123,
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"operations": [
{}
],
"actions": "ONE-ACTION",
"level": 123,
"availability": "STANDARD",
"prerequisites": [
"<string>"
],
"frequency": "<string>",
"cost": "<string>",
"trigger": "<string>",
"requirements": "<string>",
"access": "<string>",
"special": "<string>",
"meta_data": {},
"traits": [
123
],
"version": "<string>"
}
}
],
"override_skill_training_base": 123,
"override_class_operations": true,
"deprecated": true
}
]
}